<template>
    <div :class="$style.container">
        {{ loading }}
        <!-- <c-loading v-if="loading" /> -->

        <slot></slot>
    </div>
</template>

<script>
import CLoading from '@/components/CLoading'
// import { useAnalyticsStore } from '@/store/analytics'
import { mapState } from 'pinia'
import { useGeneralStore } from '@/store/modules/general'
// const analyticsStore = useAnalyticsStore()
// import { useStore } from 'pinia'

export default {
    name: 'MainMasterPage',

    components: {
        CLoading,
    },

    computed: {
        ...mapState(useGeneralStore, ['loading']),
        // analyticsStore() {
        //     // const analyticsStore = useAnalyticsStore()

        //     // console.log('----------analyticsStore')
        //     // console.log(analyticsStore)
        //     return useAnalyticsStore()
        // },
        // isLoading() {
        //     const store = useStore()
        //     return store.loading
        // },
    },
}
</script>

<style lang="scss" module>
.container {
    margin: 32px;
}
</style>
